# SetFormPromotion

> Set which forms rotate on the published surface and their shares. Write access, forms toolset, MCP tool set_form_promotion.

**Access:** [Write](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `input` | `SetFormPromotionInput!` | yes | Input object, below |  |

## Input types

### SetFormPromotionInput

| Field | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `shares` | `[PromotionShareInput!]!` | yes | [PromotionShareInput](https://developer.missin.co.uk/reference/input-types.md#promotionshareinput). at least 1 items | The FULL rotation - shares sum to 100 and exactly one entry is main. |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"SetFormPromotion","variables":{"input":{"shares":[]}},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"d415ba3110a825a96c53d441b28fff2f00cbcfb35e91f6e597ccda6527125737"}}}'
```

## Document

```graphql
mutation SetFormPromotion($input: SetFormPromotionInput!) { __typename setFormPromotion(input: $input) { __typename published userErrors { __typename code field message } withdrawn } }
```

Source: https://developer.missin.co.uk/reference/forms/set-form-promotion
